aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGilles Dartiguelongue <eva@gentoo.org>2009-10-04 23:30:09 +0200
committerGilles Dartiguelongue <eva@gentoo.org>2009-10-04 23:30:09 +0200
commitd65a00c2637c96d4af099910af0de2930277a4a4 (patch)
tree817b4b287c4a713f7d795ab2008e27bdb32f39bd /net-analyzer
parentnet-analyzer/gnome-nettool: bump to 2.28.0 (diff)
downloadgnome-d65a00c2637c96d4af099910af0de2930277a4a4.tar.gz
gnome-d65a00c2637c96d4af099910af0de2930277a4a4.tar.bz2
gnome-d65a00c2637c96d4af099910af0de2930277a4a4.zip
net-analyzer/gnome-netstatus: bump to 2.28.0
* Drop libglade dependency, use GtkBuilder instead. * Remove deprecated GTK+ symbols * Translation & docs updates
Diffstat (limited to 'net-analyzer')
-rw-r--r--net-analyzer/gnome-netstatus/Manifest3
-rw-r--r--net-analyzer/gnome-netstatus/files/gnome-netstatus-2.12.1-fix-iflist.patch25
-rw-r--r--net-analyzer/gnome-netstatus/gnome-netstatus-2.28.0.ebuild49
3 files changed, 77 insertions, 0 deletions
diff --git a/net-analyzer/gnome-netstatus/Manifest b/net-analyzer/gnome-netstatus/Manifest
new file mode 100644
index 00000000..bdb051ae
--- /dev/null
+++ b/net-analyzer/gnome-netstatus/Manifest
@@ -0,0 +1,3 @@
+AUX gnome-netstatus-2.12.1-fix-iflist.patch 959 RMD160 524a965cc96171afdc56721273b9225621f85272 SHA1 9f310d1d918d4e0776997ded82d8c96a3d9ce761 SHA256 ba294eff55fcbe8b58a9d2e82f0f30be5e5697995fca9c6f4535c48db2858998
+DIST gnome-netstatus-2.28.0.tar.bz2 542242 RMD160 5a13bbca6906fef3ea9a5c8125f2f281a4de3440 SHA1 419c9c619ccd67bbfed9806a63d43c1c72d3428f SHA256 1b279a0ff92b0952d70dbcaccfcfb2fc7378e8f15355bc01e2d478313a31d90d
+EBUILD gnome-netstatus-2.28.0.ebuild 1214 RMD160 da6ab026641b3efe896069a08b8c5f8143a276dc SHA1 6b4320390e21ab140f9bd268aff9013060b236c5 SHA256 dab40fae1b848a909c6486225c8dcf665506d854f545b659070d45f55b82b58b
diff --git a/net-analyzer/gnome-netstatus/files/gnome-netstatus-2.12.1-fix-iflist.patch b/net-analyzer/gnome-netstatus/files/gnome-netstatus-2.12.1-fix-iflist.patch
new file mode 100644
index 00000000..b81d045e
--- /dev/null
+++ b/net-analyzer/gnome-netstatus/files/gnome-netstatus-2.12.1-fix-iflist.patch
@@ -0,0 +1,25 @@
+diff -ur a/src/netstatus-iface.c b/src/netstatus-iface.c
+--- a/src/netstatus-iface.c 2007-02-13 09:39:19.000000000 +0000
++++ b/src/netstatus-iface.c 2007-07-16 00:03:02.000000000 +0100
+@@ -1122,9 +1122,10 @@
+ }
+
+ #if !defined(HAVE_SOCKADDR_SA_LEN)
+-#define NETSTATUS_SA_LEN(saddr) (sizeof (struct sockaddr))
++#define NETSTATUS_IFREQ_LEN(ifr) (sizeof (struct ifreq))
+ #else
+-#define NETSTATUS_SA_LEN(saddr) (MAX ((saddr)->sa_len, sizeof (struct sockaddr)))
++#define NETSTATUS_IFREQ_LEN(ifr) sizeof (ifr->ifr_name) + \
++ (MAX (ifr->ifr_addr.sa_len, sizeof (struct sockaddr)))
+ #endif /* HAVE_SOCKADDR_SA_LEN */
+
+ /* Taken From R. Stevens Unix Network Programming Vol. 1.
+@@ -1220,7 +1221,7 @@
+ struct ifreq *if_req = (struct ifreq *) p;
+ gboolean loopback = FALSE;
+
+- p += sizeof (if_req->ifr_name) + NETSTATUS_SA_LEN (&if_req->ifr_addr);
++ p += NETSTATUS_IFREQ_LEN (if_req);
+
+ if (ioctl (fd, SIOCGIFFLAGS, if_req) < 0)
+ {
diff --git a/net-analyzer/gnome-netstatus/gnome-netstatus-2.28.0.ebuild b/net-analyzer/gnome-netstatus/gnome-netstatus-2.28.0.ebuild
new file mode 100644
index 00000000..46749e87
--- /dev/null
+++ b/net-analyzer/gnome-netstatus/gnome-netstatus-2.28.0.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2009 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-analyzer/gnome-netstatus/gnome-netstatus-2.26.0.ebuild,v 1.1 2009/05/17 22:28:54 eva Exp $
+
+EAPI="2"
+
+inherit eutils gnome2
+
+DESCRIPTION="Network interface information applet"
+HOMEPAGE="http://www.gnome.org/"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd"
+IUSE=""
+
+RDEPEND=">=x11-libs/gtk+-2.16
+ >=dev-libs/glib-2
+ >=gnome-base/gnome-panel-2
+ >=gnome-base/gconf-2"
+
+DEPEND="${RDEPEND}
+ >=dev-lang/perl-5
+ >=dev-util/intltool-0.40
+ >=dev-util/pkgconfig-0.9
+ app-text/scrollkeeper
+ app-text/gnome-doc-utils"
+
+DOCS="AUTHORS ChangeLog MAINTAINERS NEWS README TODO"
+
+pkg_setup() {
+ if ! use debug; then
+ G2CONF="${G2CONF} --enable-debug=minimum"
+ fi
+ G2CONF="${G2CONF}
+ --disable-deprecations
+ --disable-scrollkeeper"
+}
+
+src_prepapre() {
+ gnome2_src_prepare
+
+ # Fix interface listing on all (known) arches; bug #183969
+ epatch "${FILESDIR}"/${PN}-2.12.1-fix-iflist.patch
+
+ # Fix intltoolize broken file, see upstream #577133
+ sed "s:'\^\$\$lang\$\$':\^\$\$lang\$\$:g" -i po/Makefile.in.in \
+ || die "sed failed"
+}